# Class CIM_BGPAttributesForRoute
extends CIM_Dependency

This defines the attributes that are transmitted between BGP peers on a per-route basis.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_BGPAttributesForRoute

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | This defines the attributes that are transmitted between BGP peers on a per-route basis.
UMLPackagePath | string | CIM::Network::BGP
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
PathAttrIPAddrPrefix | string |
Description | string | The IP address prefix of the property, PathAttrPeer. Its length is specified by the property, PathAttrIpAddrPrefixLen.
MappingStrings | string | MIB.IETF|BGP4-MIB.bgp4PathAttrIpAddrPrefix
ModelCorrespondence | string | CIM_BGPAttributesForRoute.PathAttrPeer, CIM_BGPAttributesForRoute.PathAttrIPAddrPrefixLen
PathAttrIPAddrPrefixLen | uint8 |
Description | string | This defines the length in bits of the IP address prefix for the property, PathAttrPeer. The range is 0 to 32.
MappingStrings | string | MIB.IETF|BGP4-MIB.bgp4PathAttrIpAddrPrefixLen
ModelCorrespondence | string | CIM_BGPAttributesForRoute.PathAttrPeer
PathAttrPeer | string |
Description | string | This defines the IP address of the peer where the path information was learned.
MappingStrings | string | MIB.IETF|BGP4-MIB.bgp4PathAttrPeer
ModelCorrespondence | string | CIM_BGPAttributesForRoute.PathAttrIPAddrPrefixLen, CIM_BGPAttributesForRoute.PathAttrIPAddrPrefix

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_BGPAttributesForRoute | CIM_BGPPathAttributes
Dependent | CIM_BGPAttributesForRoute | CIM_BGPIPRoute

## Class Methods